package cn.iocoder.yudao.module.mes.controller.admin.machine.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public enum MachineStatusEnum {


    空闲(1),
    工作(2),
    维修(3),
    保养(4),
    报废(5);

    private final Integer value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static MachineStatusEnum fromValue(int value) {
        for (MachineStatusEnum status : MachineStatusEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
    //返回能状态
    public static List<Integer> getEnableStatus(){
        List<Integer> statusList = new ArrayList<>();
        return statusList;
    }
}